View Issue Details

IDProjectCategoryView StatusLast Update
0003419Far ManagerDialogpublic2019-09-24 11:28
Reporterabc007Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003419: Crash при ресайзе окна содержащего открытый выпадающий спискок
DescriptionОбнаружился Crash в разных диалогах, в которых есть ComboBox'ы. Как воспроизвести показано в Steps To Reproduce.
Как-минимум, присутствует в диалогах Shift-F4, F5, F6, Alt-F6, F7, Alt-F7, Ctrl-G, Параметры->Файлы описания папок.
Падает не на всех выпадающих списках. Например в диалоге Alt-F7 падает на масках, строке поиска и области поиска.

Стек трейс на Alt-F7 (маска) в отладчике
Far.exe!Dialog::SetComboBoxPos(DialogItemEx * CurItem)Строка 6080
Far.exe!Dialog::ResizeConsole()Строка 4321
Far.exe!Manager::ResizeAllWindows()Строка 1186
Far.exe!ProcessBufferSizeEvent(_COORD Size)Строка 664
Far.exe!GetInputRecordImpl(_INPUT_RECORD * rec, bool ExcludeMacro, bool ProcessMouse, bool AllowSynchro)Строка 997
Far.exe!GetInputRecord(_INPUT_RECORD * rec, bool ExcludeMacro, bool ProcessMouse, bool AllowSynchro)Строка 1056
Far.exe!Manager::ProcessMainLoop()Строка 606
Far.exe!Manager::ExecuteModal(const std::shared_ptr<window> & Executed)Строка 340
Far.exe!Dialog::Process()Строка 4213

Стек трейс на Alt-F7 (область поиска) пойман самим Far-ом:
RaiseException
_CxxThrowException
std::_Xlength_error
std::vector<FAR_CHAR_INFO,std::allocator<FAR_CHAR_INFO> >::vector<FAR_CHAR_INFO,std::allocator<FAR_CHAR_
resize_nomove<std::vector<FAR_CHAR_INFO,std::allocator<FAR_CHAR_INFO> > >
SaveScreen::SaveArea
SaveScreen::SaveScreen
std::make_unique<SaveScreen,short & __ptr64,short & __ptr64,int,int>
VMenu::DisplayObject
VMenu::ProcessKey
Manager::ProcessKey
Manager::ProcessMainLoop
Manager::ExecuteModal
SimpleModal::Process
Dialog::SelectFromComboBox
Dialog::ProcessOpenComboBox
Dialog::ProcessMouse
Manager::ProcessMouse
Manager::ProcessMainLoop
Manager::ExecuteModal
Dialog::Process
FindFiles::FindFiles
Steps To Reproduce1) Окно Far распахнуть на весь экран
2) Вызвать диалог, например Создание папки (F7)
3) Открыть выпадающий список "Создать папку:"
4) Уменьшить окно Far так, чтобы не было видно этого списка (у меня Alt-F9 уменьшает до нужных размеров). При этом Far не ресайзит диалог так, чтобы он был по центру.
5) Нажать на ESC и словить падение
TagsNo tags attached.
Build

Activities

zg

2017-04-05 18:14

developer   bugnote:0015318

far 4929 x64, чистый профиль, стандартные плагины. не воспроизводится.

abc007

2017-04-05 18:52

reporter   bugnote:0015319

Проверил эти сборки на чистых виртуалках
1) Far Manager v3.0 build 4929 x86 Windows XP
2) Far Manager v3.0 build 4929 x64 Windows 10

Падает. Убедитесь, что выпадающий список точно открыт и в нём содержатся какие-нибудь элементы. Также удостоверьтесь, что размер окна достаточно уменьшается

zg

2017-04-05 19:25

developer   bugnote:0015320

чистые виртуалки — это конечно замечательно, но что с настройками фара, плагинами и макросами?

abc007

2017-04-05 19:36

reporter   bugnote:0015321

На чистых виртуалках (т.е. на них никогда не запускался Far) были развёрнуты архивы из http://farmanager.com/nightly/Far30b4929.x86.20170405.7z и http://farmanager.com/nightly/Far30b4929.x64.20170405.7z
Соответственно, все настройки стандартные, ничего не менялось.

shmuel

2017-04-05 20:05

developer   bugnote:0015322

Мои опыты показывают, что падения начались между билдами 3835 (нет падения) и 3840 (есть падение).

zg

2017-04-05 20:47

developer   bugnote:0015323

4930.
зачем упоминать комбобоксы, если падает только на историях?

abc007

2017-04-06 14:17

reporter   bugnote:0015324

4931 - больше не падает.

> зачем упоминать комбобоксы, если падает только на историях?
В диалоге Alt-F7 падало не только на историях, но и на выпадающем меню с областью поиска

zg

2017-04-06 15:18

developer   bugnote:0015325

> но и на выпадающем меню с областью поиска
нет.

Issue History

Date Modified Username Field Change
2017-04-05 17:19 abc007 New Issue
2017-04-05 18:14 zg Note Added: 0015318
2017-04-05 18:52 abc007 Note Added: 0015319
2017-04-05 19:25 zg Note Added: 0015320
2017-04-05 19:36 abc007 Note Added: 0015321
2017-04-05 20:05 shmuel Note Added: 0015322
2017-04-05 20:47 zg Note Added: 0015323
2017-04-06 14:17 abc007 Note Added: 0015324
2017-04-06 15:18 zg Note Added: 0015325
2019-09-24 11:28 JohnDoe Status new => closed
2019-09-24 11:28 JohnDoe Resolution open => fixed
2019-09-24 11:28 JohnDoe Fixed in Version => 3.0